Summary: 	A free video player that supports DVDs, mpeg, DivX, Sorenson ;-) etc.
Name: 		xine-ui
Version: 	0.99.3
Release: 	1
Copyright: 	GPL
Group: 		Multimedia
URL:            http://xinehq.de/
Source0: 	%{name}-%{version}.tar.gz
Source1: 	%{name}1.desktop
Source2: 	%{name}2.desktop
Source3:        %{name}-skins.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-root
Requires: 	xine-lib
BuildRequires: 	pkgconfig arts libogg-devel libvorbis-devel esound-devel
BuildRequires: 	win32 aalib-devel glut-devel imlib-devel mpeg_lib-devel xine-lib-devel

%description
Xine is a free GPL-licensed video player for unix-like systems.
We support mpeg-2 and mpeg-1 system (audio + video multiplexed) streams,
mpeg elementary streams (audio/video only, e.g. mp3 files) and 
AVI files (using win32 codec dlls) plus Sorenson Quicktime audio/video.

Xine plays the video and audio data of the stream and synchronizes
the playback of both. Depending on the properties of the stream,
playback will need more or less processor power, full frame rate
for mpeg-2 has been seen on a 400 MHz P II system.

%prep
%setup -q

%build
%configure \
	--prefix=/usr \
	--disable-nls \
	--with-w32-path=/usr/lib/win32 \
	--enable-alsa \
	--with-sdl \
	--enable-sdl
make CC="gcc $CFLAGS"

# The skins but wildcards are not supported on HTTPs - cry face :(
#mkdir -p skins; cd skins; wget -c http://xinehq.de/index.php/force-download/skins/*.tar.gz
#pushd %{buildroot}%{_prefix}/share/xine/skins
#    for skin in $RPM_BUILD_DIR/main/skins/*.tar.gz
#    do
#    tar xzf ${skin}
#    done
#popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Multimedia
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Multimedia/xine.desktop
mkdir -p $RPM_BUILD_ROOT/opt/kde/share/applnk/Multimedia
cp %{SOURCE2} $RPM_BUILD_ROOT/opt/kde/share/applnk/Multimedia/xine.desktop
tar xjpf %{SOURCE3} -C $RPM_BUILD_ROOT

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/lib/kde3/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/lib/kde3/plugins/designer/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/lib/kde3/plugins/styles/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt
/usr/bin
/usr/man/man1
/usr/share
